/**********************************************************************************
 *   ********** Computer and Real-Time Group . University of Cantabria **********
 *                         *** SwiftEagle  Project ***   
 *   
 *   Interface remota: Observer
 *   Define una clase que se utiliza de callback. Un objeto que la implementa en el
 *   cliente y enva su referencia remota al servidor. Cuando en el servidor se alcan-
 *   za el estado observado invoca el mtodo signals(). La accin que hace esta invo-
 *   cacin en el cliente lo define la clase concreta de implementa la interface. 
 *   
 *    Author: J.M. Drake
 *    Version: 18-05-2014
 *
 **********************************************************************************/
import java.rmi.Remote;
import java.rmi.RemoteException;
// Interface remota utiizada para transmitir un evento del servidor al cliente.
public interface Observer extends Remote {
	// Operacin de callback que se invoca
    void signal() throws RemoteException;
}
